Subject: bug#17633: 24.3.91; mouse-drag-line: Symbol's function definition is void: mouse--remap-link-click-p

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 May 2014 19:44:11 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 31 May 2014 10:55:54 -0400
> 
> > Can you explain the problem in more detail?  I'm afraid I don't
> > understand the problem with mouse clicks on mode line.
> 
> I think the real fix (which I intend to install into trunk) is the
> one below: including `point' in a mouse-click is simply incorrect since
> the current position of point has nothing to do with the mouse event.

But why does it hurt to include the window's point in the click?
Other kinds of click on non-text parts do include some kind of
position, so why is this one a problem?

Btw, your patch won't compile, because 'textpos' is not a Lisp object.